Game Develop Core: gd::EventsRefactorer Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | List of all members
gd::EventsRefactorer Class Reference

Class containing functions to do refactoring tasks on events. More...

`#include <EventsRefactorer.h>`

## Static Public Member Functions

static void | RenameObjectInEvents (const gd::Platform &platform, gd::Project &project, gd::Layout &layout, std::vector< gd::BaseEventSPtr > &events, std::string oldName, std::string newName)
static void | RemoveObjectInEvents (const gd::Platform &platform, gd::Project &project, gd::Layout &layout, std::vector< gd::BaseEventSPtr > &events, std::string name)
static std::vector < EventsSearchResult > | SearchInEvents (gd::Project &project, gd::Layout &layout, std::vector< gd::BaseEventSPtr > &events, std::string search, bool matchCase, bool inConditions, bool inAction)
static void | ReplaceStringInEvents (gd::Project &project, gd::Layout &layout, std::vector< gd::BaseEventSPtr > &events, std::string toReplace, std::string newString, bool matchCase, bool inConditions, bool inActions)

## Detailed Description

Class containing functions to do refactoring tasks on events.

Class containing functions to do refactoring tasks on events like changing an object name, deleting an object...

## Member Function Documentation

void gd::EventsRefactorer::RemoveObjectInEvents | ( | const gd::Platform & | platform,
|  | gd::Project & | project,
|  | gd::Layout & | layout,
|  | std::vector< gd::BaseEventSPtr > & | events,
|  | std::string | name
| ) |  |

static

Remove all actions or conditions using an object

void gd::EventsRefactorer::RenameObjectInEvents | ( | const gd::Platform & | platform,
|  | gd::Project & | project,
|  | gd::Layout & | layout,
|  | std::vector< gd::BaseEventSPtr > & | events,
|  | std::string | oldName,
|  | std::string | newName
| ) |  |

static

Replace all occurences of an object name by another name ( include : objects in parameters and in math/text expressions of all events ).

void gd::EventsRefactorer::ReplaceStringInEvents | ( | gd::Project & | project,
|  | gd::Layout & | layout,
|  | std::vector< gd::BaseEventSPtr > & | events,
|  | std::string | toReplace,
|  | std::string | newString,
|  | bool | matchCase,
|  | bool | inConditions,
|  | bool | inActions
| ) |  |

static

Replace all occurrences of a string in events

vector< EventsSearchResult > gd::EventsRefactorer::SearchInEvents | ( | gd::Project & | project,
|  | gd::Layout & | layout,
|  | std::vector< gd::BaseEventSPtr > & | events,
|  | std::string | search,
|  | bool | matchCase,
|  | bool | inConditions,
|  | bool | inAction
| ) |  |

static

Search for a string in events

Returns
  A vector containing EventsSearchResult objects filled with events containing the string

The documentation for this class was generated from the following files:

- EventsRefactorer.h
- EventsRefactorer.cpp